declare const UX: {
    print: (text: string) => Promise<void>;
    prompt: <A>(questions: import("@cto.ai/cto-inquirer").Question<import("@cto.ai/cto-inquirer").Answers> | import("@cto.ai/cto-inquirer").Question<import("@cto.ai/cto-inquirer").Answers>[]) => Promise<A>;
    colors: import("chalk").Chalk & {
        supportsColor: import("chalk").ColorSupport;
    } & {
        callOutCyan: (text: string) => string;
        actionBlue: (text: string) => string;
        primary: (text: string) => string;
        secondary: (text: string) => string;
        tertiary: (text: string) => string;
        successGreen: (text: string) => string;
        errorRed: (text: string) => string;
        multiPurple: (text: string) => string;
        multiBlue: (text: string) => string;
        multiOrange: (text: string) => string;
    };
    spinner: {
        start: (text: string) => void;
        stop: (text: string) => void;
    };
    wait: (duration: number) => Promise<void>;
    url: (text: string, url: string) => string;
    annotation: (text: string, annotation: string) => void;
    table: typeof import("cli-ux/lib/styled/table").table;
    tree: typeof import("cli-ux/lib/styled/tree").default;
    progress: {
        init: (options?: import("cli-progress").Options | undefined) => import("cli-progress").Bar;
    };
    notify: (options: object) => void;
    inquirer: import("@cto.ai/cto-inquirer").Inquirer;
};
import Command, { flags } from '@oclif/command';
import { Config, User, Team, ValidationFields, SigninPipeline, Tokens, Services } from './types';
declare abstract class CTOCommand extends Command {
    accessToken: string;
    user: User;
    team: Team;
    state: {
        config: Config;
    };
    ux: typeof UX;
    services: Services;
    constructor(argv: string[], config: any, services?: Services);
    init(): Promise<void>;
    isTokenValid: (tokens: Tokens) => boolean;
    checkAndRefreshAccessToken: (tokens: Tokens) => Promise<Config>;
    isLoggedIn(): Promise<Config>;
    fetchUserInfo: ({ tokens }: SigninPipeline) => Promise<{
        meResponse: {
            me: {
                id: any;
                username: any;
                email: any;
            };
            teams: Team[];
        };
        tokens: Tokens;
    }>;
    writeConfig: (oldConfigObj: Partial<Config> | null | undefined, newConfigObj: Partial<Config>) => Promise<Partial<Config>>;
    readConfig: () => Promise<Config>;
    clearConfig: () => Promise<void>;
    invalidateKeycloakSession: () => Promise<void>;
    initConfig: (tokens: Tokens) => Promise<Config>;
    validateUniqueField(query: ValidationFields, accessToken: string): Promise<boolean>;
    pickFromList(items: string[], question: string): Promise<string>;
}
export { CTOCommand as default, flags };
