"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const base_1 = tslib_1.__importDefault(require("./../../base"));
class AccountReset extends base_1.default {
    async run() {
        try {
            const { tokens } = await this.readConfig();
            const isUserSignedIn = Boolean(tokens) && this.user && this.team && this.isTokenValid(tokens);
            this.services.keycloakService.keycloakResetFlow(isUserSignedIn);
            if (isUserSignedIn) {
                this.services.analytics.track('Ops CLI Reset', {
                    username: this.user.username,
                }, this.state.config);
            }
        }
        catch (err) {
            this.debug('%O', err);
            this.config.runHook('error', { err, accessToken: this.accessToken });
        }
    }
}
exports.default = AccountReset;
AccountReset.description = 'Reset your password.';
