import Command, { flags } from './../../base';
import { Config } from './../../types';
export interface ConfigSetInputs {
    config: Config;
    key: string;
    value: string;
    valueFilename: string;
}
export default class ConfigsSet extends Command {
    static description: string;
    static flags: {
        key: flags.IOptionFlag<string | undefined>;
        value: flags.IOptionFlag<string | undefined>;
        'from-file': flags.IOptionFlag<string | undefined>;
    };
    validateKeyInput: (input: string) => Promise<boolean | string>;
    validateValueInput: (input: string) => Promise<boolean | string>;
    resolveFileConfig: (input: ConfigSetInputs) => Promise<ConfigSetInputs>;
    promptForConfig: (input: ConfigSetInputs) => Promise<ConfigSetInputs>;
    setConfig: (inputs: ConfigSetInputs) => Promise<ConfigSetInputs | undefined>;
    logMessage: (inputs: ConfigSetInputs) => ConfigSetInputs;
    sendAnalytics: (inputs: ConfigSetInputs) => Promise<ConfigSetInputs>;
    run(): Promise<void>;
}
