import Command, { flags } from '../base';
import { OpCommand, OpWorkflow, Answers, ListInputs } from './../types';
export default class List extends Command {
    static description: string;
    static flags: flags.Input<any>;
    opResults: (OpCommand | OpWorkflow)[];
    getApiOps: (inputs: ListInputs) => Promise<ListInputs>;
    getLocalOps: (inputs: ListInputs) => Promise<ListInputs>;
    filterOutWorkflows: (inputs: ListInputs) => ListInputs;
    filterOutGlueCodes: (inputs: ListInputs) => ListInputs;
    filterOutPipelineJobs: (inputs: ListInputs) => ListInputs;
    promptOps: (inputs: ListInputs) => Promise<ListInputs>;
    _autocompleteSearch: (_: Answers, input?: string) => Promise<{
        value: OpCommand | OpWorkflow;
        name: string;
    }[]>;
    _fuzzyFilterParams: () => {
        list: {
            name: string;
            value: OpCommand | OpWorkflow;
        }[];
        options: {
            extract: (el: any) => any;
        };
    };
    _formatOpOrWorkflowName: (op: OpCommand | OpWorkflow) => string;
    _formatOpOrWorkflowEmoji: (opOrWorkflow: OpWorkflow | OpCommand) => string;
    showRunMessage: (inputs: ListInputs) => ListInputs;
    sendAnalytics: (inputs: ListInputs) => Promise<ListInputs>;
    startSpinner: (inputs: ListInputs) => Promise<ListInputs>;
    stopSpinner: (inputs: ListInputs) => Promise<ListInputs>;
    run(): Promise<void>;
}
