import Command, { flags } from '../base';
import { RemoveInputs } from './../types';
export default class Remove extends Command {
    static description: string;
    static args: {
        name: string;
        description: string;
        required: boolean;
    }[];
    static flags: flags.Input<any>;
    validateOpNameAndVersion: (inputs: Pick<RemoveInputs, 'op' | 'config'>) => Omit<RemoveInputs, 'opOrWorkflow' | 'confirmRemove' | 'deleteDescription'>;
    getApiOpsOrWorkflows: (inputs: RemoveInputs) => Promise<RemoveInputs>;
    promptDeleteDescription: (inputs: RemoveInputs) => Promise<RemoveInputs>;
    promptDeleteAllDescription: (inputs: RemoveInputs) => Promise<RemoveInputs>;
    validateBilling: (inputs: RemoveInputs) => Promise<RemoveInputs>;
    confirmRemove: (inputs: RemoveInputs) => Promise<RemoveInputs>;
    confirmRemoveAll: (inputs: RemoveInputs) => Promise<RemoveInputs>;
    removeApiOpOrWorkflow: (inputs: RemoveInputs) => Promise<RemoveInputs>;
    removeApiOpVersions: (inputs: RemoveInputs) => Promise<RemoveInputs>;
    private handleNotFoundOpError;
    updateBilling: (inputs: RemoveInputs) => Promise<RemoveInputs>;
    logMessage: (inputs: RemoveInputs) => RemoveInputs;
    logRemoveAllMessage: (inputs: RemoveInputs) => RemoveInputs;
    sendAnalytics: (inputs: RemoveInputs) => Promise<RemoveInputs>;
    run(): Promise<void>;
}
