import Command, { flags } from './../base';
import { Answers, OpCommand, OpWorkflow, SearchInputs } from './../types';
export default class Search extends Command {
    static description: string;
    static args: {
        name: string;
        description: string;
    }[];
    static flags: flags.Input<any>;
    opsAndWorkflows: (OpCommand | OpWorkflow)[];
    getApiOpsAndWorkflows: (inputs: SearchInputs) => Promise<SearchInputs>;
    filterOutWorkflows: (inputs: SearchInputs) => SearchInputs;
    filterOutGlueCodes: (inputs: SearchInputs) => SearchInputs;
    filterOutPipelineJobs: (inputs: SearchInputs) => SearchInputs;
    filterByNameOrDescription: (inputs: SearchInputs) => {
        apiOps: (OpCommand | OpWorkflow)[];
        config: import("./../types").Config;
        filter: string;
        selectedOp: OpCommand;
    };
    checkData: (inputs: SearchInputs) => Promise<SearchInputs>;
    selectOpPrompt: (inputs: SearchInputs) => Promise<SearchInputs>;
    showRunMessage: (inputs: SearchInputs) => SearchInputs;
    sendAnalytics: (inputs: SearchInputs) => Promise<void>;
    _autocompleteSearch: (_: Answers, input?: string) => Promise<{
        value: OpCommand | OpWorkflow;
        name: string;
    }[]>;
    private fuzzyFilterParams;
    private _formatOpOrWorkflowName;
    startSpinner: (inputs: SearchInputs) => Promise<SearchInputs>;
    stopSpinner: (inputs: SearchInputs) => Promise<SearchInputs>;
    run(): Promise<void>;
}
