import Command, { flags } from './../../base';
import { Team, Config } from './../../types';
export interface CreateInputs {
    config: Config;
    name: string | undefined;
    team: Team;
}
export default class TeamCreate extends Command {
    static description: string;
    static flags: flags.Input<any>;
    guardAgainstInvalidName: (inputs: CreateInputs) => Promise<Omit<CreateInputs, 'team'>>;
    promptForTeamName: (inputs: Pick<CreateInputs, 'name'>) => Promise<Pick<CreateInputs, 'name'>>;
    createTeam: (inputs: CreateInputs) => Promise<CreateInputs>;
    logMessage: (inputs: CreateInputs) => CreateInputs;
    setTeamConfig: (inputs: CreateInputs) => Promise<CreateInputs>;
    sendAnalytics: (inputs: CreateInputs) => void;
    validateTeamName: (name: string) => Promise<boolean | string>;
    run(): Promise<void>;
}
