import Command from './../../base';
import { Team, Config } from './../../types';
export interface JoinInputs {
    config: Config;
    inviteCode: string;
    newTeam: Team;
}
export default class TeamJoin extends Command {
    static description: string;
    inviteCodePrompt: (inputs: JoinInputs) => Promise<Omit<JoinInputs, 'newTeam'>>;
    startSpinner: (inputs: JoinInputs) => Promise<JoinInputs>;
    joinTeam: (inputs: JoinInputs) => Promise<JoinInputs>;
    setActiveTeam: (inputs: JoinInputs) => Promise<JoinInputs>;
    logMessage: (inputs: JoinInputs) => JoinInputs;
    sendAnalytics: (inputs: JoinInputs) => void;
    stopSpinner: (inputs: JoinInputs) => Promise<JoinInputs>;
    run(): Promise<void>;
}
