import Command, { flags } from './../../base';
import { Config, Team, Answers } from './../../types';
interface displayTeam extends Team {
    displayName: string;
}
export interface SwitchInputs {
    activeTeam: Team;
    teams: Team[];
    displayTeams: displayTeam[];
    teamSelected: Team;
    config: Config;
    teamName?: string;
}
export default class TeamSwitch extends Command {
    static description: string;
    static flags: flags.Input<any>;
    static args: {
        name: string;
        description: string;
    }[];
    displayTeams: {
        name: string;
    }[];
    getActiveTeam: (inputs: SwitchInputs) => Promise<SwitchInputs>;
    getTeamsFromApi: (inputs: SwitchInputs) => Promise<SwitchInputs>;
    setTeamsDisplayName: (inputs: SwitchInputs) => SwitchInputs;
    _autocompleteSearch: (_: Answers, input?: string) => Promise<{
        value: import("./../../types").OpCommand | import("./../../types").OpWorkflow;
        name: string;
    }[]>;
    private fuzzyFilterParams;
    getSelectedTeamPrompt: (inputs: SwitchInputs) => Promise<SwitchInputs>;
    updateActiveTeam: (inputs: SwitchInputs) => Promise<SwitchInputs>;
    logMessage: (inputs: SwitchInputs) => SwitchInputs;
    sendAnalytics: (inputs: SwitchInputs) => void;
    startSpinner: (inputs: SwitchInputs) => Promise<SwitchInputs>;
    stopSpinner: (inputs: SwitchInputs) => Promise<SwitchInputs>;
    private isArgTeamAvailable;
    run(): Promise<void>;
}
export {};
