"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SEGMENT_URL = exports.GetDockerSocketConfigs = exports.DockerSocketConfigs = exports.INTERCOM_EMAIL = exports.HOME = exports.OPS_DEBUG = exports.DEBUG = exports.NODE_ENV = exports.OPS_GITHUB_APP = exports.OPS_EVENTS_HOST = exports.OPS_KEYCLOAK_HOST = exports.OPS_PIPELINE_IMAGE = exports.OPS_REGISTRY_HOST = exports.OPS_SEGMENT_KEY = exports.OPS_API_PATH = exports.OPS_API_HOST = exports.WWW_HOST = exports.BILLING_HOST = void 0;
const tslib_1 = require("tslib");
const os_1 = tslib_1.__importDefault(require("os"));
const platform = tslib_1.__importStar(require("platform"));
exports.BILLING_HOST = process.env.BILLING_HOST || 'https://billing.cto.ai';
exports.WWW_HOST = process.env.WWW_HOST || 'https://cto.ai';
exports.OPS_API_HOST = process.env.OPS_API_HOST || 'https://cto.ai/';
exports.OPS_API_PATH = process.env.OPS_API_PATH || 'api/v1';
exports.OPS_SEGMENT_KEY = process.env.OPS_SEGMENT_KEY || 'kskyrGqdnuvMZCE0V2kMrzS9Gfrl8J0y';
exports.OPS_REGISTRY_HOST = process.env.OPS_REGISTRY_HOST || 'registry.cto.ai';
exports.OPS_PIPELINE_IMAGE = process.env.OPS_PIPELINE_IMAGE || 'official_images/pipeline-base';
exports.OPS_KEYCLOAK_HOST = process.env.OPS_KEYCLOAK_HOST || 'https://cto.ai/auth';
exports.OPS_EVENTS_HOST = process.env.OPS_EVENTS_HOST || 'https://dispatcher.cto.ai';
exports.OPS_GITHUB_APP = process.env.OPS_GITHUB_APP || 'https://github-app.cto.ai';
exports.NODE_ENV = process.env.NODE_ENV || 'production';
exports.DEBUG = process.env.DEBUG;
exports.OPS_DEBUG = Boolean(process.env.OPS_DEBUG);
exports.HOME = process.env.HOME || '~';
exports.INTERCOM_EMAIL = process.env.INTERCOM_EMAIL || 'support@cto.ai';
const homedir = os_1.default.homedir();
class DockerSocketConfigs {
    constructor(OS = '', SOCKET_PATH = ['']) {
        this.OS = OS;
        this.SOCKET_PATH = SOCKET_PATH;
    }
}
exports.DockerSocketConfigs = DockerSocketConfigs;
const GetDockerSocketConfigs = () => {
    let defaultSocketPaths = [
        '/var/run/docker.sock',
        `${homedir}/.docker/desktop/docker.sock`,
    ];
    let os = 'linux';
    switch (platform.os.family.toUpperCase()) {
        case 'WIN32':
            os = 'windows';
            defaultSocketPaths = ['//./pipe/docker_engine'];
            break;
        case 'WIN64':
            os = 'windows';
            defaultSocketPaths = ['//./pipe/docker_engine'];
            break;
        case 'DARWIN':
            os = 'mac';
            defaultSocketPaths = [
                '/var/run/docker.sock',
                `${homedir}/.docker/run/docker.sock`,
            ];
    }
    // override via an environment variable
    if (process.env.DOCKER_SOCKET && process.env.DOCKER_SOCKET !== '') {
        defaultSocketPaths = [process.env.DOCKER_SOCKET];
    }
    return new DockerSocketConfigs(os, defaultSocketPaths);
};
exports.GetDockerSocketConfigs = GetDockerSocketConfigs;
exports.SEGMENT_URL = process.env.SEGMENT_URL || 'https://api.segment.io';
