import { ErrorTemplate } from './../errors/ErrorTemplate';
export declare class FileNotFoundError extends ErrorTemplate {
    constructor(err: Error, path: string, file: string);
}
export declare class DockerBuildImageError extends ErrorTemplate {
    constructor(err: Error);
}
export declare class ConfigError extends ErrorTemplate {
    constructor(err: Error);
}
export declare class EnumeratingLangsError extends ErrorTemplate {
    constructor(err: Error);
}
export declare class CopyTemplateFilesError extends ErrorTemplate {
    constructor(err: Error);
}
export declare class UserUnauthorized extends ErrorTemplate {
    constructor(err: Error);
}
export declare class CouldNotCreateOp extends ErrorTemplate {
    constructor(err: Error);
}
export declare class CouldNotCreateWorkflow extends ErrorTemplate {
    constructor(err: Error);
}
export declare class InvalidWorkflowStep extends ErrorTemplate {
    constructor(err: Error);
}
export declare class CouldNotInitializeOp extends ErrorTemplate {
    constructor(err: Error);
}
export declare class CouldNotGetRegistryToken extends ErrorTemplate {
    constructor(err: Error);
}
export declare class CouldNotMakeDir extends ErrorTemplate {
    constructor(err: Error, path?: string);
}
export declare class InvalidTeamNameFormat extends ErrorTemplate {
    constructor(err: any);
}
export declare class CouldNotGetLatestVersion extends ErrorTemplate {
    constructor(err: Error);
}
export declare class APIError extends ErrorTemplate {
    constructor(err: any);
}
export declare class AnalyticsError extends ErrorTemplate {
    constructor(err: Error);
}
export declare class PermissionsError extends ErrorTemplate {
    constructor(err: Error);
}
export declare class InviteSendingInvite extends ErrorTemplate {
    constructor(err: Error);
}
export declare class InviteCodeInvalid extends ErrorTemplate {
    constructor(err: any);
}
export declare class InvalidInputCharacter extends ErrorTemplate {
    constructor(fieldName: string);
}
export declare class InvalidOpVersionFormat extends ErrorTemplate {
    constructor();
}
export declare class MissingRequiredArgument extends ErrorTemplate {
    constructor(command: string);
}
export declare class NoResultsFoundForDeletion extends ErrorTemplate {
    constructor(opOrWorkflow: string);
}
export declare class DockerPublishNoImageFound extends ErrorTemplate {
    constructor(opName: string, teamName: string);
}
export declare class NoLocalOpsOrWorkflowsFound extends ErrorTemplate {
    constructor();
}
export declare class NoLocalOpsOrPipelinesFound extends ErrorTemplate {
    constructor();
}
export declare class NoOpsFound extends ErrorTemplate {
    constructor(opName: string, teamName?: string);
}
export declare class RunningJobException extends ErrorTemplate {
    constructor(opName: string);
}
export declare class InvalidStepsFound extends ErrorTemplate {
    constructor(step: string);
}
export declare class ImageNotFoundError extends ErrorTemplate {
    constructor(imageName: string);
}
export declare class SignInError extends ErrorTemplate {
    constructor(err: Error);
}
export declare class NoEmailForReset extends ErrorTemplate {
    constructor(err: Error, email: string);
}
export declare class ResetTokenError extends ErrorTemplate {
    constructor(err: Error);
}
export declare class SignUpError extends ErrorTemplate {
    constructor(err: Error);
}
export declare class ImageTagError extends ErrorTemplate {
    constructor(err: Error);
}
export declare class ImagePushError extends ErrorTemplate {
    constructor(err: Error);
}
export declare class ImagePullError extends ErrorTemplate {
    constructor(err: Error);
}
export declare class AlreadySignedOut extends ErrorTemplate {
    constructor();
}
export declare class SignOutError extends ErrorTemplate {
    constructor(err: any);
}
export declare class YamlPortError extends ErrorTemplate {
    constructor(badPort: string);
}
export declare class SSOError extends ErrorTemplate {
    constructor(message?: string);
}
export declare class TokenExpiredError extends ErrorTemplate {
    constructor();
}
export declare class CannotDeleteOp extends ErrorTemplate {
    constructor(err: Error);
}
export declare class CannotDeleteNotFoundOp extends ErrorTemplate {
    constructor(err: Error);
}
export declare class InvalidOpName extends ErrorTemplate {
    constructor();
}
export declare class InvalidPipelineJobNameOpsYml extends ErrorTemplate {
    constructor(message: string);
}
export declare class UnauthorizedtoAccessOp extends ErrorTemplate {
    constructor(err: Error);
}
export declare class IncompleteOpsYml extends ErrorTemplate {
    constructor(message: string);
}
export declare class InvalidRemoveOpFormat extends ErrorTemplate {
    constructor();
}
export declare class OpAlreadyBelongsToTeam extends ErrorTemplate {
    constructor();
}
export declare class OpNotFoundOpsAdd extends ErrorTemplate {
    constructor();
}
export declare class OpAlreadyAdded extends ErrorTemplate {
    constructor();
}
export declare class VersionIsTaken extends ErrorTemplate {
    constructor();
}
export declare class NeedsPaymentMethod extends ErrorTemplate {
    constructor(access: {
        quantity: number;
        maxFreeUnits: number;
        workflowType: string;
        teamName: string;
    }, wwwHost: string);
}
export declare class NoTeamFound extends ErrorTemplate {
    constructor(teamName: string);
}
export declare class TeamUnauthorized extends ErrorTemplate {
    constructor(err: any);
}
export declare class RegisterSecretsProvider extends ErrorTemplate {
    constructor(err: Error);
}
export declare class InvalidSecretToken extends ErrorTemplate {
    constructor(err: Error);
}
export declare class InvalidSecretVault extends ErrorTemplate {
    constructor(err: Error);
}
export declare class SecretNotFound extends ErrorTemplate {
    constructor(err: Error);
}
export declare class SecretsProviderFound extends ErrorTemplate {
    constructor();
}
export declare class NoSecretsProviderFound extends ErrorTemplate {
    constructor(err: Error);
}
export declare class NoSecretsOnTeam extends ErrorTemplate {
    constructor(err: Error);
}
export declare class ValueFileError extends ErrorTemplate {
    constructor(err: Error);
}
export declare class SetSecretsProvider extends ErrorTemplate {
    constructor(err: Error);
}
export declare class NoSecretFound extends ErrorTemplate {
    constructor();
}
export declare class NoMemberFound extends ErrorTemplate {
    constructor(username: string, teamname: string);
}
export declare class NoMembersFound extends ErrorTemplate {
    constructor();
}
export declare class FailedToRemoveMemberFromTeam extends ErrorTemplate {
    constructor(err: Error, member: string, team: string);
}
export declare class UnableToLeaveTeamError extends ErrorTemplate {
    constructor();
}
export declare class MissingYamlPortError extends ErrorTemplate {
    constructor();
}
export declare class AllocatedYamlPortError extends ErrorTemplate {
    constructor(badPorts: string);
}
export declare class DuplicateYamlPortError extends ErrorTemplate {
    constructor();
}
export declare class GenerateTokenFailed extends ErrorTemplate {
    constructor();
}
export declare class EmptyListError extends ErrorTemplate {
    constructor();
}
export declare class NoOpsToBuildFound extends ErrorTemplate {
    constructor();
}
export declare class NoDomainConfigured extends ErrorTemplate {
    constructor();
}
export declare class ServiceRequired extends ErrorTemplate {
    constructor();
}
