import { ErrorService } from './../services/Error';
import { OpCommand } from './../types';
export declare class ImageService {
    protected error: ErrorService;
    constructor(error?: ErrorService);
    log: {
        (...data: any[]): void;
        (message?: any, ...optionalParams: any[]): void;
    };
    checkLocalImage: (opImageUrl: string) => Promise<any>;
    imageFilterPredicate: (repo: string) => ({ RepoTags }: Docker.ImageInfo) => any;
    pull: (op: OpCommand, authconfig: AuthConfig) => Promise<void>;
    setParser: (op: OpCommand, getFn: (status: string, op: OpCommand) => {
        speed: string;
    }) => {
        parser: import("stream").Transform;
        bar: import("cli-progress").Bar;
    };
    getProgressBarText: (status: string, { name }: OpCommand) => {
        speed: string;
    };
    updateStatusBar: (stream: NodeJS.ReadWriteStream, { parser, bar }: {
        parser: any;
        bar: any;
    }) => (resolve: (data: any) => void, reject: (err: Error) => void) => Promise<void>;
    checkIfDockerfileExists: (opPath: string) => boolean;
    build: (tag: string, opPath: string, op: OpCommand, options: {
        nocache: boolean;
    } | undefined) => Promise<void>;
}
