"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultServicesList = exports.SubscriptionService = exports.BillingService = exports.ConfigService = exports.SecretService = exports.RegistryAuthService = exports.KeycloakService = exports.OpService = exports.ImageService = exports.Publish = exports.AnalyticsService = exports.FeathersClient = void 0;
const env_1 = require("./../constants/env");
const Feathers_1 = require("./Feathers");
Object.defineProperty(exports, "FeathersClient", { enumerable: true, get: function () { return Feathers_1.FeathersClient; } });
const Analytics_1 = require("./Analytics");
Object.defineProperty(exports, "AnalyticsService", { enumerable: true, get: function () { return Analytics_1.AnalyticsService; } });
const Publish_1 = require("./Publish");
Object.defineProperty(exports, "Publish", { enumerable: true, get: function () { return Publish_1.Publish; } });
const Image_1 = require("./Image");
Object.defineProperty(exports, "ImageService", { enumerable: true, get: function () { return Image_1.ImageService; } });
const Op_1 = require("./Op");
Object.defineProperty(exports, "OpService", { enumerable: true, get: function () { return Op_1.OpService; } });
const Keycloak_1 = require("./Keycloak");
Object.defineProperty(exports, "KeycloakService", { enumerable: true, get: function () { return Keycloak_1.KeycloakService; } });
const RegistryAuth_1 = require("./RegistryAuth");
Object.defineProperty(exports, "RegistryAuthService", { enumerable: true, get: function () { return RegistryAuth_1.RegistryAuthService; } });
const Secret_1 = require("./Secret");
Object.defineProperty(exports, "SecretService", { enumerable: true, get: function () { return Secret_1.SecretService; } });
const Container_1 = require("./Container");
const Config_1 = require("./Config");
Object.defineProperty(exports, "ConfigService", { enumerable: true, get: function () { return Config_1.ConfigService; } });
const Billing_1 = require("./Billing");
Object.defineProperty(exports, "BillingService", { enumerable: true, get: function () { return Billing_1.BillingService; } });
const Subscription_1 = require("./Subscription");
Object.defineProperty(exports, "SubscriptionService", { enumerable: true, get: function () { return Subscription_1.SubscriptionService; } });
exports.defaultServicesList = {
    api: new Feathers_1.FeathersClient(),
    publishService: new Publish_1.Publish(),
    imageService: new Image_1.ImageService(),
    analytics: new Analytics_1.AnalyticsService(env_1.OPS_SEGMENT_KEY),
    opService: new Op_1.OpService(),
    keycloakService: new Keycloak_1.KeycloakService(),
    registryAuthService: new RegistryAuth_1.RegistryAuthService(),
    secretService: new Secret_1.SecretService(),
    containerService: new Container_1.ContainerService(),
    configService: new Config_1.ConfigService(),
    billingService: new Billing_1.BillingService(),
    subscriptionService: new Subscription_1.SubscriptionService(),
};
