"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkAndApplyLatestSDKVersion = exports.convertServicesToOps = exports.instanceOfOpPipeline = exports.instanceOfOpWorkflow = void 0;
const opConfig_1 = require("../constants/opConfig");
function instanceOfOpWorkflow(object) {
    return 'steps' in object;
}
exports.instanceOfOpWorkflow = instanceOfOpWorkflow;
function instanceOfOpPipeline(object) {
    return 'jobs' in object;
}
exports.instanceOfOpPipeline = instanceOfOpPipeline;
const convertServicesToOps = (services) => {
    return services.map((svc) => (Object.assign(Object.assign({}, svc), { type: opConfig_1.SERVICE_TYPE, name: svc.name, version: svc.version, platformVersion: '', description: svc.description, env: svc.env, isPublic: svc.isPublic || false, run: svc.run, sdk: svc.sdk || '2', bind: [], mountCwd: false, mountHome: false, port: svc.port, image: '', cname: svc.domain })));
};
exports.convertServicesToOps = convertServicesToOps;
const checkAndApplyLatestSDKVersion = (commands) => {
    return commands.map((cmd) => {
        if (!cmd.sdk) {
            cmd.sdk = opConfig_1.SDK2;
        }
        return cmd;
    });
};
exports.checkAndApplyLatestSDKVersion = checkAndApplyLatestSDKVersion;
