"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LINE_BREAK = exports.PULL_REQUEST_LABELED = exports.PR_LABELED_EQUAL_REGEX = exports.ENVS_WRONG_INDENTATION_WITHOUT_VALUE = exports.ENVS_WRONG_INDENTATION_WITH_VALUE = exports.INVALID_YAML_LIST_ELEMENT = exports.KEY_REGEX = exports.formatConfigObject = exports.clearConfig = exports.readConfig = exports.writeConfig = exports.genLogsURL = exports.pluralize = exports.terminalText = exports.splitNameAndVersion = exports.PUBLIC_OPS_PREFIX = exports.getOpUrl = exports.getOpImageTag = exports.validVersionChars = exports.validCharsTeamName = exports.validChars = exports.validateEmail = exports._trace = exports.asyncPipe = exports.parseYaml = exports.getLatestVersion = void 0;
const tslib_1 = require("tslib");
/**
 * @author: JP Lew (jp@cto.ai)
 * @date: Thursday, 16th May 2019 10:22:25 am
 * @lastModifiedBy: JP Lew (jp@cto.ai)
 * @lastModifiedTime: Friday, 13th September 2019 1:13:17 pm
 * @copyright (c) 2019 CTO.ai
 */
var get_latest_version_1 = require("./get-latest-version");
Object.defineProperty(exports, "getLatestVersion", { enumerable: true, get: function () { return get_latest_version_1.getLatestVersion; } });
var yamlParser_1 = require("./yamlParser");
Object.defineProperty(exports, "parseYaml", { enumerable: true, get: function () { return yamlParser_1.parseYaml; } });
var asyncPipe_1 = require("./asyncPipe");
Object.defineProperty(exports, "asyncPipe", { enumerable: true, get: function () { return asyncPipe_1.asyncPipe; } });
Object.defineProperty(exports, "_trace", { enumerable: true, get: function () { return asyncPipe_1._trace; } });
var validate_1 = require("./validate");
Object.defineProperty(exports, "validateEmail", { enumerable: true, get: function () { return validate_1.validateEmail; } });
Object.defineProperty(exports, "validChars", { enumerable: true, get: function () { return validate_1.validChars; } });
Object.defineProperty(exports, "validCharsTeamName", { enumerable: true, get: function () { return validate_1.validCharsTeamName; } });
Object.defineProperty(exports, "validVersionChars", { enumerable: true, get: function () { return validate_1.validVersionChars; } });
var getOpUrl_1 = require("./getOpUrl");
Object.defineProperty(exports, "getOpImageTag", { enumerable: true, get: function () { return getOpUrl_1.getOpImageTag; } });
Object.defineProperty(exports, "getOpUrl", { enumerable: true, get: function () { return getOpUrl_1.getOpUrl; } });
Object.defineProperty(exports, "PUBLIC_OPS_PREFIX", { enumerable: true, get: function () { return getOpUrl_1.PUBLIC_OPS_PREFIX; } });
var opName_1 = require("./opName");
Object.defineProperty(exports, "splitNameAndVersion", { enumerable: true, get: function () { return opName_1.splitNameAndVersion; } });
var terminalText_1 = require("./terminalText");
Object.defineProperty(exports, "terminalText", { enumerable: true, get: function () { return terminalText_1.terminalText; } });
var stringUtils_1 = require("./stringUtils");
Object.defineProperty(exports, "pluralize", { enumerable: true, get: function () { return stringUtils_1.pluralize; } });
var runUtils_1 = require("./runUtils");
Object.defineProperty(exports, "genLogsURL", { enumerable: true, get: function () { return runUtils_1.genLogsURL; } });
var config_1 = require("./config");
Object.defineProperty(exports, "writeConfig", { enumerable: true, get: function () { return config_1.writeConfig; } });
Object.defineProperty(exports, "readConfig", { enumerable: true, get: function () { return config_1.readConfig; } });
Object.defineProperty(exports, "clearConfig", { enumerable: true, get: function () { return config_1.clearConfig; } });
Object.defineProperty(exports, "formatConfigObject", { enumerable: true, get: function () { return config_1.formatConfigObject; } });
tslib_1.__exportStar(require("./ports"), exports);
exports.KEY_REGEX = /^[-._a-zA-Z][-._a-zA-Z0-9]*$/;
exports.INVALID_YAML_LIST_ELEMENT = /^(\s*-\S)/;
exports.ENVS_WRONG_INDENTATION_WITH_VALUE = /(\s-\s*[-._a-zA-Z0-9]*=)/;
exports.ENVS_WRONG_INDENTATION_WITHOUT_VALUE = /(\s-\s*[-._a-zA-Z0-9]*)/;
exports.PR_LABELED_EQUAL_REGEX = /pull\_request\.labeled\..*.?name\s?==\s?['|"^](.+)['|"$]/;
exports.PULL_REQUEST_LABELED = 'pull_request.labeled';
exports.LINE_BREAK = '\n';
