if (!process.env.NODE_ENV) {
  process.env.NODE_ENV = 'production'
}

const figlet = require('figlet')
const { ux } = require('@cto.ai/cli-sdk')

const postInstall = async () => {
  console.log(`\n\n`)
  figlet('CTO.ai', { font: 'Big Money-ne', horizontalLayout: 'full' }, function(
    err,
    data,
  ) {
    if (err) {
      console.log('Something went wrong...')
      console.dir(err)
      return
    }
    console.log(data)

    console.log(
      `💡 ${ux.colors.multiOrange('Pro Tip!')} ${ux.colors.callOutCyan(
        'The Ops CLI',
      )} looks the best when used with a dark background.`,
    )

    console.log(
      `👉 ${ux.colors.tertiary('Next:')} sign up via ${ux.colors.primary(
        'ops account:signup',
      )} or sign in via ${ux.colors.primary('ops account:signin\n\n')}`,
    )
  })
}

postInstall()
